<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-panier-heading" data-cy="PanierCreateUpdateHeading" jhiTranslate="blogApp.panier.home.createOrEditLabel">
        Créer ou éditer un Panier
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="blogApp.panier.id" for="field_id">Id</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          <div *ngIf="editForm.get('id')!.invalid && (editForm.get('id')!.dirty || editForm.get('id')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('id')?.errors?.required" jhiTranslate="entity.validation.required">
              Ce champ est obligatoire.
            </small>
            <small class="form-text text-danger" [hidden]="!editForm.get('id')?.errors?.number" jhiTranslate="entity.validation.number">
              Ce champ doit être un nombre.
            </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.panier.date" for="field_date">Date</label>
          <div class="input-group">
            <input
              id="field_date"
              data-cy="date"
              type="text"
              class="form-control"
              name="date"
              ngbDatepicker
              #dateDp="ngbDatepicker"
              formControlName="date"
            />
            <button type="button" class="btn btn-secondary" (click)="dateDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.panier.valeur" for="field_valeur">Valeur</label>
          <input type="number" class="form-control" name="valeur" id="field_valeur" data-cy="valeur" formControlName="valeur" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.panier.state" for="field_state">State</label>
          <select class="form-control" name="state" formControlName="state" id="field_state" data-cy="state">
            <option [ngValue]="null">{{ 'blogApp.Etat.null' | translate }}</option>
            <option *ngFor="let etat of etatValues" [value]="etat">{{ 'blogApp.Etat.' + etat | translate }}</option>
          </select>
        </div>

        <div class="row mb-3">
          <label jhiTranslate="blogApp.panier.produit" for="field_produits">Produit</label>
          <select
            class="form-control"
            id="field_produits"
            data-cy="produit"
            multiple
            name="produits"
            formControlName="produits"
            [compareWith]="compareProduit"
          >
            <option [ngValue]="produitOption" *ngFor="let produitOption of produitsSharedCollection">{{ produitOption.id }}</option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.panier.utilisateur" for="field_utilisateur">Utilisateur</label>
          <select
            class="form-control"
            id="field_utilisateur"
            data-cy="utilisateur"
            name="utilisateur"
            formControlName="utilisateur"
            [compareWith]="compareUtilisateur"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="utilisateurOption" *ngFor="let utilisateurOption of utilisateursSharedCollection">
              {{ utilisateurOption.id }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
